Subject: bug#6337: 24.0.50; doc of define-minor-mode incomplete wrt mode hooks

From: "Drew Adams" <[email-masked]>
Date: Wed, 2 Jun 2010 17:03:30 -0700

The doc for `define-minor-mode' is incomplete regarding the mode
hooks, and it has apparently been like this since the beginning
(Emacs 21).
 
The doc (doc string and Elisp manual) speaks about the MODE-hook, where
MODE is the name of the minor mode.  But it does not mention that there
is also a `MODE-on-hook' and a `MODE-off-hook'.  That is, if you define
those hook variables they to will be processed by the mode command.

The exact behavior should be defined: The MODE-hook, if any, is run
first, then the MODE-on-hook or MODE-off-hook is run, depending on
whether the mode is being turned on or off.

In GNU Emacs 24.0.50.1 (i386-mingw-nt5.1.2600)
 of 2010-05-23 on G41R2F1
Windowing system distributor `Microsoft Corp.', version 5.1.2600
configured using `configure --with-gcc (3.4) --no-opt --cflags -Ic:/xpm/include'